OGRE: Ogre::LodConfig::Advanced Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::LodConfig::Advanced Struct Reference

`#include <OgreLodConfig.h>`

## Public Member Functions
| Advanced ()

## Public Attributes
Ogre::Real | outsideWalkAngle
| If outsideWeight is enabled, this will set the angle how deep the algorithm can walk inside the mesh. More...
Ogre::Real | outsideWeight
| Faces inside a house can't be seen from far away. More...
LodProfile | profile
| If the algorithm makes errors, you can fix it, by adding the edge to the profile. More...
bool | useBackgroundQueue
| Whether you want to process it immediatelly on main thread or you want to use Ogre::WorkQueue. More...
bool | useCompression
| If enabled, it allows up to 50% smaller index buffers by storing once shared faces with frame shifting. More...
bool | useVertexNormals
| Use vertex normals to improve quality. More...

## Constructor & Destructor Documentation

## ◆ Advanced()

Ogre::LodConfig::Advanced::Advanced | ( |  | ) |

## Member Data Documentation

## ◆ outsideWalkAngle

Ogre::Real Ogre::LodConfig::Advanced::outsideWalkAngle

If outsideWeight is enabled, this will set the angle how deep the algorithm can walk inside the mesh.

This value is an acos number between -1 and 1. (by default it is 0 which means 90 degree)

## ◆ outsideWeight

Ogre::Real Ogre::LodConfig::Advanced::outsideWeight

Faces inside a house can't be seen from far away.

Weightening outside allows to remove those internal faces. It makes generation smaller and it is not 100% accurate. Set it to 0.0 to disable. (disabled by default)

## ◆ profile

LodProfile Ogre::LodConfig::Advanced::profile

If the algorithm makes errors, you can fix it, by adding the edge to the profile.

## ◆ useBackgroundQueue

bool Ogre::LodConfig::Advanced::useBackgroundQueue

Whether you want to process it immediatelly on main thread or you want to use Ogre::WorkQueue.

If you use workqueue the generator will return immediately. After processed in background, the LodWorkQueueInjector will inject it in frameEnd event when rendering next frame. Ready LODs can also be injected by calling Root::getSingleton().getWorkQueue()->processResponses(). (disabled by default)

## ◆ useCompression

bool Ogre::LodConfig::Advanced::useCompression

If enabled, it allows up to 50% smaller index buffers by storing once shared faces with frame shifting.

There is no performance disadvantage! (enabled by default)

## ◆ useVertexNormals

bool Ogre::LodConfig::Advanced::useVertexNormals

Use vertex normals to improve quality.

Bit slower to generate, but it has better quality most of the time. (enabled by default)

The documentation for this struct was generated from the following file:

- OgreLodConfig.h